Bug 835757 - DHT: remove dependency on glusterfsd-mgmt
DHT: remove dependency on glusterfsd-mgmt
Product: GlusterFS
Classification: Community
Component: rpc (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Amar Tumballi
Bharata B Rao
Depends On:
  Show dependency treegraph
Reported: 2012-06-27 00:23 EDT by shishir gowda
Modified: 2015-12-01 11:45 EST (History)
7 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-24 13:11:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2012-06-27 00:23:03 EDT
Description of problem:

Excerpts from Bharata B Rao < bharata.rao@gmail.com>:

I was experimenting to see if I can use distribute+replicate kind of 
volume using my QEMU-GlusterFS integration patches. It appears that 
dht xlator depends on a routine (glusterfs_rebalance_event_notify) 
that happens to be part of glusterfs binary. Because of this 
dependency I am not able to load the dht xlator from QEMU since QEMU 
will not use glusterfs. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 2 shishir gowda 2012-07-02 22:41:55 EDT
A fix (http://review.gluster.com/#change,3618) for this has been merged upstream.
Comment 3 shishir gowda 2013-01-04 01:22:37 EST
Changing the Product to glusterfs community, as it was not part of the RHS.

Note You need to log in before you can comment on or make changes to this bug.